package com.clx.performance.common;

/**
 * 数据可解析
 *
 * @author wanglq
 * Date 2023/7/20
 * Time 17:37
 */
public interface DataResolvable {
    /**
     * @return 供应商编码
     */
    String getSupplierCode();

    /**
     * @return 设备类型编码
     */
    String getTypeCode();

    /**
     * @return 设备型号
     */
    String getModelNo();

    /**
     * @return 设备序列号
     */
    String getDeviceNo();

    /**
     * @return 是否批量
     */
    boolean isBatch();

    /**
     * @return 数据
     */
    String getData();
}
